<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/Python/Python.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.Python.Python</title>
<link href="../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<h1 >Package <a href="../../../Synopsis.html" >Synopsis</a>.<a href="../../Parsers.html" >Parsers</a>.<a href="../Python.html" >Python</a>.Python

</h1> <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Private Attributes Summary:</div>
<div class="item"><div class="synopsis"> <a class="name" id="__all__">__all__</a></div> <div class="xref"></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line17" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Classes Summary:</div>
<div class="item"><div class="synopsis">class <a href="Python/Parser.html" >Parser</a></div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Python Parser.</div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Functions Summary:</div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Python.html#expand_package" >expand_package</a></span>(<span class="variable">root</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.expand_package" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Find all modules in a given package.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Python.html#find_imported" >find_imported</a></span>(<span class="variable">target</span>, <span class="variable">base_path</span>, <span class="variable">origin</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.find_imported" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Lookup imported files&#44; based on current file's location.</div></div>
</div><!-- summary -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Classes Details:</div>
<div class="item"><div class="synopsis">class <a href="Python/Parser.html" >Parser</a></div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.Parser" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line68" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Python Parser. See http://www.python.org/dev/peps/pep-0258 for additional
    info.</div></div>
</div><!-- detail -->
<div class="detail">
<div class="heading">Functions Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="expand_package">expand_package</a>(<span class="variable">root</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.expand_package" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line19" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Find all modules in a given package.</div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="find_imported">find_imported</a>(<span class="variable">target</span>, <span class="variable">base_path</span>, <span class="variable">origin</span>, <span class="variable">verbose</span> = <span class="value">False</span>)  </div> <div class="xref"><a href="../../../../XRef/xref22.html#Synopsis.Parsers.Python.Python.find_imported" ><img src="../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../Source/Synopsis/Parsers/Python/__init__.py.html#line34" ><img src="../../../../src-py.png" alt="source code"/></a></div> <div class="doc">
    Lookup imported files&#44; based on current file's location.

    target: &#40;module&#44; name&#41; pair.
    base_path: root directory to which to confine the lookup.
    origin: file name of the module issuing the import.</div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:26:58 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
